So are there any stable Jailbreaks for any version of iOS 10?

Discussion in 'Jailbreaks and iOS Hacks' started by TH55, Apr 4, 2017.

  1. TH55 macrumors 68030

    Joined:
    Nov 5, 2011
    #1
    I'm confused, I see posts about them being semi untethered and not supporting the iPhone 7. I really want the Apple Watch but I was told it requires iOS 10.
     
  2. bbrks macrumors 65816

    bbrks

    Joined:
    Dec 17, 2013
    #2
    There is a perfectly stable jailbreak on 10.2, but unfortunately not for iPhone 7.
     
  3. TH55 thread starter macrumors 68030

    Joined:
    Nov 5, 2011
    #3
    If I bought an iPhone 6S would it have 10.2? If not, is there any way to update my 6 to 10.2? I want to get the Apple watch but I was told it would only work with the most current iOS.
     
  4. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #4
    Apple is not signing 10.2 so there is no way to install it on any device. There's no way to predict what might be on a 6S when you buy one. If it isn't on a version you want, you can, as of right now, only upgrade to 10.2.1, 10.3, or 10.3.1. None of these have a jailbreak.
     
  5. TH55 thread starter macrumors 68030

    Joined:
    Nov 5, 2011
    #5
    Damn, will the Apple Watch be compatible with 10.2 or does it have to be the absolute latest?
     
  6. fishmd macrumors 68000

    fishmd

    Joined:
    Jun 18, 2008
    Location:
    Sunny South Florida
    #6
    If the Apple watch is on the latest version of WatchOS, then you will have to be on the latest version of iOS 10 (10.3.1) in order for the iphone to pair with the Apple watch. I have a jailbroken 7+ on iOS 10.1.1 and cannot pair it to my Apple watch at all. You get an error message saying to update the iPhone to the latest iOS version. Luckily I also have a work iphone 7+ that is on vanilla iOS, so I hook up my Apple watch to that phone instead.
     
  7. TH55 thread starter macrumors 68030

    Joined:
    Nov 5, 2011
    #7
    That's a bunch of crap, why do they care if people jailbreak?? God that pisses me off, they'll lose a sale from me bc of that. I thought there was no jailbreak for the 7?
     
  8. fishmd macrumors 68000

    fishmd

    Joined:
    Jun 18, 2008
    Location:
    Sunny South Florida
    #8
    Yalu Beta3 with MachPortal. Works on iOS 10.1.1. Yeah, sucks that the latest WatchOS needs the latest iOS 10 version, but that is how it goes.
     
  9. JackieInCo macrumors 601

    Joined:
    Jul 18, 2013
    Location:
    Colorado
    #9
    I made the mistake of upgrading my 6S+ and 5S to 10.3 last week just so I could upgrade one of my three watches to the latest. When I realized the apps that I use to block ads in all apps on my phone were broken on 10.3, I downgraded both phones back to 10.2.1 while I still had the chance. I lost the JB on both those phones of course and since the watch that I upgraded to 3.2 was new, I exchanged for a new one which had 3.1 and I was then able to use it again on all four of my iPhones, two are on 10.1.1 and jailbroken still. BestBuy didn't think twice when I told them why I was exchanging the watch since I'm elite+ status with them.

    I'm staying where I am on all four phones and all three watches. No upgrades on any of them till I get a new phone or a new watch. Not worth it to me.
     
  10. fishmd macrumors 68000

    fishmd

    Joined:
    Jun 18, 2008
    Location:
    Sunny South Florida
    #10
    Yeah, apparently you can get Apple to downgrade watch OS, but have to send it in as a repair or something to do it which is a pain.
     
  11. JackieInCo macrumors 601

    Joined:
    Jul 18, 2013
    Location:
    Colorado
    #11
    That's what I've heard as well. Once I upgraded the watch to 3.2 and downgraded the phones back to 10.2, I could not use the watch with either of those phones so I just exchanged it. I hate that Apple does this but it IS how they do things.
     
  12. TH55 thread starter macrumors 68030

    Joined:
    Nov 5, 2011
    #12
    Can I get them to downgrade the watch to work w my 6 running iOS 8.2? If not how about w iOS 10.2? If not do I have any options to get a watch w a jb phone?
     
  13. fishmd macrumors 68000

    fishmd

    Joined:
    Jun 18, 2008
    Location:
    Sunny South Florida
    #13
    I would reach out to Apple support and see what they say. Supposedly they can. I have never done it though so not sure of the whole process.
     
  14. JackieInCo macrumors 601

    Joined:
    Jul 18, 2013
    Location:
    Colorado
    #14
    I have not heard from anyone who has actually taken their watch to Apple and had it downgraded. All I have have heard is from people saying they will do it.
     
  15. kevintech macrumors 6502

    Joined:
    Oct 5, 2010
    #15
    If I'm not mistaken, the old Apple Watch works on as early as iOS 8.4.
     

Share This Page